<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSList" targetNamespace="http://tempuri.org/DSList.xsd" xmlns:mstns="http://tempuri.org/DSList.xsd" xmlns="http://tempuri.org/DSList.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="CS" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="CS (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Project.Properties.Settings.GlobalReference.Default.CS" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Component_Reel_CustRuleTableAdapter" GeneratorDataComponentClassName="Component_Reel_CustRuleTableAdapter" Name="Component_Reel_CustRule" UserDataComponentName="Component_Reel_CustRuleTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CS (Settings)" DbObjectName="EE.dbo.Component_Reel_CustRule" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Component_Reel_CustRule] WHERE (([code] = @Original_code) AND ((@IsNull_pre = 1 AND [pre] IS NULL) OR ([pre] = @Original_pre)) AND ((@IsNull_pos = 1 AND [pos] IS NULL) OR ([pos] = @Original_pos)) AND ((@IsNull_len = 1 AND [len] IS NULL) OR ([len] = @Original_len)) AND ((@IsNull_exp = 1 AND [exp] IS NULL) OR ([exp] = @Original_exp)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_code" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pre" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pre" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pre" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pre" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pos" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pos" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pos" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pos" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_len" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="len" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_len" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="len" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_exp" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="exp" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_exp" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exp" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Component_Reel_CustRule] ([code], [pre], [pos], [len], [exp]) VALUES (@code, @pre, @pos, @len, @exp);
SELECT code, pre, pos, len, exp FROM Component_Reel_CustRule WHERE (code = @code)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@code" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pre" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pre" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pos" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pos" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@len" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="len" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@exp" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exp" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  Component_Reel_CustRule.*
FROM     Component_Reel_CustRule</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Component_Reel_CustRule] SET [code] = @code, [pre] = @pre, [pos] = @pos, [len] = @len, [exp] = @exp WHERE (([code] = @Original_code) AND ((@IsNull_pre = 1 AND [pre] IS NULL) OR ([pre] = @Original_pre)) AND ((@IsNull_pos = 1 AND [pos] IS NULL) OR ([pos] = @Original_pos)) AND ((@IsNull_len = 1 AND [len] IS NULL) OR ([len] = @Original_len)) AND ((@IsNull_exp = 1 AND [exp] IS NULL) OR ([exp] = @Original_exp)));
SELECT code, pre, pos, len, exp FROM Component_Reel_CustRule WHERE (code = @code)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@code" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pre" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pre" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pos" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pos" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@len" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="len" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@exp" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exp" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_code" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pre" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pre" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pre" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pre" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pos" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pos" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pos" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pos" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_len" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="len" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_len" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="len" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_exp" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="exp" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_exp" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exp" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="code" DataSetColumn="code" />
              <Mapping SourceColumn="pre" DataSetColumn="pre" />
              <Mapping SourceColumn="pos" DataSetColumn="pos" />
              <Mapping SourceColumn="len" DataSetColumn="len" />
              <Mapping SourceColumn="exp" DataSetColumn="exp" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSList" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSList" msprop:Generator_UserDSName="DSList">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Supply" msprop:Generator_TableClassName="SupplyDataTable" msprop:Generator_TableVarName="tableSupply" msprop:Generator_TablePropName="Supply" msprop:Generator_RowDeletingName="SupplyRowDeleting" msprop:Generator_RowChangingName="SupplyRowChanging" msprop:Generator_RowEvHandlerName="SupplyRowChangeEventHandler" msprop:Generator_RowDeletedName="SupplyRowDeleted" msprop:Generator_UserTableName="Supply" msprop:Generator_RowChangedName="SupplyRowChanged" msprop:Generator_RowEvArgName="SupplyRowChangeEvent" msprop:Generator_RowClassName="SupplyRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="TITLE" msprop:Generator_ColumnVarNameInTable="columnTITLE" msprop:Generator_ColumnPropNameInRow="TITLE" msprop:Generator_ColumnPropNameInTable="TITLEColumn" msprop:Generator_UserColumnName="TITLE" type="xs:string" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="SIDConvert" msprop:Generator_TableClassName="SIDConvertDataTable" msprop:Generator_TableVarName="tableSIDConvert" msprop:Generator_TablePropName="SIDConvert" msprop:Generator_RowDeletingName="SIDConvertRowDeleting" msprop:Generator_RowChangingName="SIDConvertRowChanging" msprop:Generator_RowEvHandlerName="SIDConvertRowChangeEventHandler" msprop:Generator_RowDeletedName="SIDConvertRowDeleted" msprop:Generator_UserTableName="SIDConvert" msprop:Generator_RowChangedName="SIDConvertRowChanged" msprop:Generator_RowEvArgName="SIDConvertRowChangeEvent" msprop:Generator_RowClassName="SIDConvertRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="SID101" msprop:Generator_ColumnVarNameInTable="columnSID101" msprop:Generator_ColumnPropNameInRow="SID101" msprop:Generator_ColumnPropNameInTable="SID101Column" msprop:Generator_UserColumnName="SID101" type="xs:string" />
              <xs:element name="SID103" msprop:Generator_ColumnVarNameInTable="columnSID103" msprop:Generator_ColumnPropNameInRow="SID103" msprop:Generator_ColumnPropNameInTable="SID103Column" msprop:Generator_UserColumnName="SID103" type="xs:string" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Component_Reel_CustRule" msprop:Generator_TableClassName="Component_Reel_CustRuleDataTable" msprop:Generator_TableVarName="tableComponent_Reel_CustRule" msprop:Generator_RowChangedName="Component_Reel_CustRuleRowChanged" msprop:Generator_TablePropName="Component_Reel_CustRule" msprop:Generator_RowDeletingName="Component_Reel_CustRuleRowDeleting" msprop:Generator_RowChangingName="Component_Reel_CustRuleRowChanging" msprop:Generator_RowEvHandlerName="Component_Reel_CustRuleRowChangeEventHandler" msprop:Generator_RowDeletedName="Component_Reel_CustRuleRowDeleted" msprop:Generator_RowClassName="Component_Reel_CustRuleRow" msprop:Generator_UserTableName="Component_Reel_CustRule" msprop:Generator_RowEvArgName="Component_Reel_CustRuleRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="code" msprop:Generator_ColumnVarNameInTable="columncode" msprop:Generator_ColumnPropNameInRow="code" msprop:Generator_ColumnPropNameInTable="codeColumn" msprop:Generator_UserColumnName="code">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pre" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="pre" msprop:Generator_ColumnVarNameInTable="columnpre" msprop:Generator_ColumnPropNameInTable="preColumn" msprop:Generator_UserColumnName="pre" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pos" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="pos" msprop:Generator_ColumnVarNameInTable="columnpos" msprop:Generator_ColumnPropNameInTable="posColumn" msprop:Generator_UserColumnName="pos" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="len" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="len" msprop:Generator_ColumnVarNameInTable="columnlen" msprop:Generator_ColumnPropNameInTable="lenColumn" msprop:Generator_UserColumnName="len" type="xs:int" minOccurs="0" />
              <xs:element name="exp" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="exp" msprop:Generator_ColumnVarNameInTable="columnexp" msprop:Generator_ColumnPropNameInTable="expColumn" msprop:Generator_UserColumnName="exp" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Supply" />
      <xs:field xpath="mstns:TITLE" />
    </xs:unique>
    <xs:unique name="SIDConvert_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:SIDConvert" />
      <xs:field xpath="mstns:SID101" />
      <xs:field xpath="mstns:SID103" />
    </xs:unique>
    <xs:unique name="Component_Reel_CustRule_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Component_Reel_CustRule" />
      <xs:field xpath="mstns:code" />
    </xs:unique>
  </xs:element>
</xs:schema>